Bug 86227 - [UPDATE] games/linux-q3ademo: clean-up, minor fixes, rename to "linux-quake3-demo"
Summary: [UPDATE] games/linux-q3ademo: clean-up, minor fixes, rename to "linux-quake3-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-16 20:50 UTC by Alejandro Pulver
Modified: 2005-10-16 07:48 UTC (History)
0 users

See Also:


Attachments
linux-quake3-demo.diff (55.36 KB, patch)
2005-09-16 20:50 UTC, Alejandro Pulver
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Pulver 2005-09-16 20:50:13 UTC

Changes:
* Clean-up.
* Rename to "linux-quake3-demo" (also rename port directory).
* Add SIZE entry to distinfo.
* Fix symlink with different OpenGL implementations (ports).
* Take maintainership.
* Use SUB_FILES for script.
* Distfile is fetched automatically from MASTER_SITE_GENTOO.
Comment 1 Alejandro Pulver 2005-09-22 21:14:03 UTC
>Submitter-Id:	current-users 
>Originator:	Alejandro Pulver 
>Organization:	 
>Confidential:	no 
>Synopsis:	Re: ports/86227: [UPDATE] games/linux-q3ademo: clean-up, minor fixes, rename to "linux-quake3-demo" 
>Severity:	non-critical 
>Priority:	low 
>Category:	ports 
>Class:		update 
>Release:	FreeBSD 5.4-RELEASE i386 
>Environment:





>Description:


This patch has to be applied to the previous patch.

Changes:
* Fix wrapper script (wasn't passing its arguments to the real executable).


>How-To-Repeat:





>Fix:


--- new.diff begins here ---
--- pkgd/sent/linux-quake3-demo.diff	Fri Sep 16 16:38:27 2005
+++ linux-quake3-demo.diff	Thu Sep 22 17:09:57 2005
@@ -1,6 +1,6 @@
 diff -urN /usr/ports/games/linux-q3ademo/Makefile linux-quake3-demo/Makefile
 --- /usr/ports/games/linux-q3ademo/Makefile	Wed Jul 27 18:15:39 2005
-+++ linux-quake3-demo/Makefile	Fri Sep 16 16:37:38 2005
++++ linux-quake3-demo/Makefile	Thu Sep 22 17:08:28 2005
 @@ -8,321 +8,61 @@
  # $FreeBSD: ports/games/linux-q3ademo/Makefile,v 1.13 2005/07/17 10:03:40 netchild Exp $
  #
@@ -366,7 +366,7 @@
  .include <bsd.port.post.mk>
 diff -urN /usr/ports/games/linux-q3ademo/distinfo linux-quake3-demo/distinfo
 --- /usr/ports/games/linux-q3ademo/distinfo	Sat Mar 10 15:24:58 2001
-+++ linux-quake3-demo/distinfo	Fri Sep 16 16:35:36 2005
++++ linux-quake3-demo/distinfo	Thu Sep 22 17:08:28 2005
 @@ -1 +1,2 @@
  MD5 (linuxq3ademo-1.11-6.x86.gz.sh) = 484610c1ce34272223a52ec331c99d5d
 +SIZE (linuxq3ademo-1.11-6.x86.gz.sh) = 49289300
@@ -379,16 +379,16 @@
 -tail +165 $1 | tar xfoz -
 diff -urN /usr/ports/games/linux-q3ademo/files/q3demo.in linux-quake3-demo/files/q3demo.in
 --- /usr/ports/games/linux-q3ademo/files/q3demo.in	Wed Dec 31 21:00:00 1969
-+++ linux-quake3-demo/files/q3demo.in	Fri Sep 16 15:43:43 2005
++++ linux-quake3-demo/files/q3demo.in	Thu Sep 22 17:08:40 2005
 @@ -0,0 +1,5 @@
 +#!/bin/sh
 +
 +cd %%DATADIR%% || exit 1
 +
-+exec ./q3demo
++exec ./q3demo "$@"
 diff -urN /usr/ports/games/linux-q3ademo/pkg-descr linux-quake3-demo/pkg-descr
 --- /usr/ports/games/linux-q3ademo/pkg-descr	Tue Nov 20 20:29:24 2001
-+++ linux-quake3-demo/pkg-descr	Fri Sep 16 16:35:25 2005
++++ linux-quake3-demo/pkg-descr	Thu Sep 22 17:08:28 2005
 @@ -1,19 +1,8 @@
 -This is the Linux version the Quake III Arena demo 
 -from id Software / Loki Software
@@ -445,7 +445,7 @@
 -
 diff -urN /usr/ports/games/linux-q3ademo/pkg-plist linux-quake3-demo/pkg-plist
 --- /usr/ports/games/linux-q3ademo/pkg-plist	Fri Dec 17 05:58:05 2004
-+++ linux-quake3-demo/pkg-plist	Fri Sep 16 15:36:51 2005
++++ linux-quake3-demo/pkg-plist	Thu Sep 22 17:08:28 2005
 @@ -1,248 +1,244 @@
  bin/q3demo
 -share/q3ademo/README
--- new.diff ends here ---
Comment 2 Edwin Groothuis freebsd_committer 2005-10-16 07:10:56 UTC
State Changed
From-To: open->repocopy

Please repocopy games/linux-q3a-demo to games/linux-quake3-demo 


Comment 3 Edwin Groothuis freebsd_committer 2005-10-16 07:10:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Portmgr takes care of repocopies
Comment 4 Joe Marcus Clarke freebsd_committer 2005-10-16 07:20:24 UTC
State Changed
From-To: repocopy->open

Repocopy completed. 


Comment 5 Joe Marcus Clarke freebsd_committer 2005-10-16 07:20:24 UTC
Responsible Changed
From-To: portmgr->edwin

Repocopy completed.
Comment 6 Edwin Groothuis freebsd_committer 2005-10-16 07:48:54 UTC
State Changed
From-To: open->closed

Committed, thanks!